.\"     $NetBSD: txp.4,v 1.3 2003/08/21 12:50:57 drochner Exp $
.\"
.\" Copyright (c) 2001 Jason L. Wright (jason@thought.net)
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 21, 2003
.Dt TXP 4
.Os
.Sh NAME
.Nm txp
.Nd 3Com 3XP Typhoon/Sidewinder (3CR990) Ethernet interface
.Sh SYNOPSIS
.Cd "txp* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
interface provides access to the 10Mb/s and 100Mb/s Ethernet networks via the
.Tn 3Com
.Tn Typhoon/Sidewinder
chipset.
This driver supports the following cards:
.Pp
.Bl -bullet -offset indent -compact
.It
3Com 3CR990-TX-95
.It
3Com 3CR990-TX-97
.It
3Com 3CR990SVR95
.It
3Com 3CR990SVR97
.El
.Pp
Basic Ethernet functions are provided as well as support for
.Xr vlan 4
tag removal and insertion assistance,
receive
.Xr ip 4 ,
.Xr tcp 4 ,
and
.Xr udp 4
checksum offloading,
and
transmit
.Xr ip 4
checksum offloading.
There is currently no support for
transmit
.Xr tcp 4
or
.Xr udp 4
checksum offloading,
.Xr tcp 4
segmentation, nor
.Xr ipsec 4
acceleration.
Note that hardware checksumming is only used when the interface is not
in
.Xr bridge 4
mode.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Pp
When a
.Nm
interface is brought up, by default, it will attempt to auto-negotiate the
link speed and duplex mode.
The speeds, in order of attempt, are: 100Mb/s Full Duplex, 100Mb/s Half Duplex,
10 Mb/s Full Duplex, and 10 Mb/s Half Duplex.
.Pp
The
.Nm
supports several media types, which are selected via the
.Xr ifconfig 8
command.
The supported media types are:
.Bl -tag -width xxxxxxxxxxxxxx -offset indent
.It media autoselect
Attempt to autoselect the media type (default)
.It media 100baseTX mediaopt full-duplex
Use 100baseTX, full duplex
.It media 100baseTX Op mediaopt half-duplex
Use 100baseTX, half duplex
.It media 10baseT mediaopt full-duplex
Use 10baseT, full duplex
.It media 10baseT Op mediaopt half-duplex
Use 10baseT, half duplex
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr ip 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr tcp 4 ,
.Xr udp 4 ,
.Xr vlan 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 2.0 .
